/* CSS */
.button-6 {
  align-items: center;
  background-color: #FFFFFF;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: .25rem;
  box-shadow: rgba(0, 0, 0, 0.02) 0 1px 3px 0;
  box-sizing: border-box;
  color: rgba(0, 0, 0, 0.85);
  cursor: pointer;
  display: inline-flex;
  font-family: system-ui,-apple-system,system-ui,"Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 16px;
  font-weight: 600;
  justify-content: center;
  line-height: 1.25;
  margin: 0;
  min-height: 3rem;
  padding: calc(.875rem - 1px) calc(1.5rem - 1px);
  position: relative;
  text-decoration: none;
  transition: all 250ms;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: baseline;
  width: auto;
}

.button-6:hover,
.button-6:focus {
  border-color: rgba(0, 0, 0, 0.15);
  box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
  color: rgba(0, 0, 0, 0.65);
}

.button-6:hover {
  transform: translateY(-1px);
}

.button-6:active {
  background-color: #F0F0F1;
  border-color: rgba(0, 0, 0, 0.15);
  box-shadow: rgba(0, 0, 0, 0.06) 0 2px 4px;
  color: rgba(0, 0, 0, 0.65);
  transform: translateY(0);
}

  .image-container {
    position: relative;
    display: inline-block;
  }

  @media (min-width: 768px) {
    .recommendation-badge {
      position: absolute;
      bottom: 0;
      right: 0;
      transform: translate(50%, -50%);
    }
  }

  /* Dodajte ovaj CSS stil u vaš stilski list */
  .image-click:hover {
    transform: scale(1.15);
    /* Povećajte sliku za 10% kada korisnik pređe mišem preko nje */
    transition: transform 0.3s ease;
    /* Dodajte prelazni efekat */
  }


  .properties-box {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    /* Razmak između kartica */
  }

  .properties-items {
    width: 32%;
    /* Kartice će zauzimati 1/3 širine kontejnera */
  }

  .item {
    width: 100%;
    /* Kartice će zauzimati celu širinu svog roditeljskog elementa */
  }

  .hidden {
    display: none !important;
  }

  .item:hover {
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  }

  .item img {
    width: 100%;
    height: auto;
  }

  .category {
    display: block;
    padding: 10px;
    background-color: #007bff;
    color: #fff;
    text-align: center;
    font-size: 14px;
    font-weight: bold;
  }

  .item h4 {
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 18px;
  }

  .item ul {
    list-style: none;
    padding: 0 15px;
    margin: 0;
    display: flexbox;
  }

  .item ul li {
    margin: 5px 0;
    font-size: 14px;
  }

  .item ul li span {
    font-weight: bold;
  }

  .item p {
    padding: 0 5px;
    font-size: 14px;
    color: #555;
  }

  .main-button {
    display: flex;
    justify-content: center;
    padding: 10px;
    background-color: #f8f8f8;
  }

  .main-button a {
    color: #007bff;
    margin: 0 5px;
    font-size: 20px;
    text-decoration: none;
  }

  #filter-container {
    padding: 20px;
    background-color: #f8f8f8;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    margin-bottom: 20px;
  }

  #filter-container select,
  #filter-container input {
    width: 100%;
    max-width: 300px;
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
  }

  #additional-filters {
    flex-basis: 100%;
    margin-top: 10px;
  }

  @media (max-width: 768px) {
    .properties-items {
      width: 100%;
      /* Kartice će zauzimati punu širinu ekrana */
    }

    .recommendation-badge {
      position: absolute;
      bottom: 30%;
      right: 10%;
      transform: translate(50%, -50%);
    }

    .item ul {
      display: block;
      /* Popravićemo display fleksbox na display block */
    }
  }